跳转到主要内容
GET
/
base
/
{baseId}
cURL
curl --request GET \
  --url https://app.teable.ai/api/base/%7BbaseId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "id": "<string>",
  "name": "<string>",
  "spaceId": "<string>",
  "icon": "<string>",
  "role": "owner",
  "createdBy": "<string>",
  "collaboratorType": "space",
  "restrictedAuthority": true,
  "enabledAuthority": true,
  "lastModifiedTime": "<string>",
  "createdTime": "<string>",
  "template": {
    "id": "<string>",
    "headers": "<string>"
  },
  "createdUser": {
    "id": "<string>",
    "name": "<string>",
    "avatar": "<string>"
  },
  "isCanary": true
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

baseId
string
必填

响应

200 - application/json

Returns information about a base.

id
string
必填
name
string
必填
spaceId
string
必填
icon
string | null
必填
role
enum<string>
必填
可用选项:
owner,
creator,
editor,
commenter,
viewer
createdBy
string
必填
collaboratorType
enum<string>
可用选项:
space,
base
restrictedAuthority
boolean
enabledAuthority
boolean
lastModifiedTime
string | null
createdTime
string | null
template
object
createdUser
object
isCanary
boolean
Last modified on March 5, 2026